Subject: Ticket Assigned - Click & Collect
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 23 May 2022 10:35:41 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I had order yesterday online items and my order number is 9571121575.  Before I order I saw message get it today 22nd May and surprisingly still I can see still processing.  If you cannot make it ready today before 7pm let me know otherwise I will cancel my order.  This looks like bad experience iam getting splash.  Thank you. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4392377